JavaScript/jQuery TextBox - Handle the Keyboard Events
The TextBox raises four keyboard events: keyDown, keyPress, keyUp and enterKey. Within the functions that handle them, you can access the original keyboard events. If you are not going to change the functions during the lifetime of the UI component, assign them to the respective UI component properties.
- $(function() {
- $("#textBoxContainer").dxTextBox({
- onKeyDown: function (e) {
- const keyCode = e.event.key;
- // Event handling commands go here
- },
- onKeyPress: function (e) {
- const keyCode = e.event.key;
- // Event handling commands go here
- },
- onKeyUp: function (e) {
- const keyCode = e.event.key;
- // Event handling commands go here
- },
- onEnterKey: function (e) {
- // Event handling commands go here
- }
- });
- });
If you are going to change the handling functions at runtime, or if you need to attach several functions to a single event, use the on(eventName, eventHandler) method. This approach is more typical of jQuery.
- const keyDownHandler1 = function (e) {
- const keyCode = e.event.key;
- // First handler of the "keyDown" event
- };
- const keyDownHandler2 = function (e) {
- const keyCode = e.event.key;
- // Second handler of the "keyDown" event
- };
- $("#textBoxContainer").dxTextBox("instance")
- .on("keyDown", keyDownHandler1)
- .on("keyDown", keyDownHandler2);
You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.
- function registerKeyHandlers () {
- const textBox = $("#textBoxContainer").dxTextBox("instance");
- textBox.registerKeyHandler("backspace", function(e) {
- // The argument "e" contains information on the event
- });
- textBox.registerKeyHandler("space", function(e) {
- // ...
- });
- }
See Also
- Handle Events: Angular | Vue | React | jQuery | AngularJS | Knockout | ASP.NET MVC 5 | ASP.NET Core
- Call Methods: Angular | Vue | React | jQuery | AngularJS | Knockout | ASP.NET MVC 5 | ASP.NET Core
- TextBox - Handle the Value Change Event
- TextBox Demos
If you have technical questions, please create a support ticket in the DevExpress Support Center.

Vue TextBox - Handle the Keyboard Events

The TextBox raises four keyboard events: keyDown, keyPress, keyUp and enterKey. Within the functions that handle them, you can access the original keyboard events. If you are not going to change the functions during the lifetime of the UI component, assign them to the respective UI component properties.

  • <template>
  • <DxTextBox
  • @key-down="onKeyDown"
  • @key-press="onKeyPress"
  • @key-up="onKeyUp"
  • @enter-key="onEnterKey"
  • />
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxTextBox } from 'devextreme-vue/text-box';
  •  
  • export default {
  • components: {
  • DxTextBox
  • },
  • methods: {
  • onKeyDown(e) {
  • const keyCode = e.event.key;
  • // Event handling commands go here
  • },
  • onKeyPress(e) {
  • const keyCode = e.event.key;
  • // Event handling commands go here
  • },
  • onKeyUp(e) {
  • const keyCode = e.event.key;
  • // Event handling commands go here
  • },
  • onEnterKey(e) {
  • // Event handling commands go here
  • }
  • }
  • }
  • </script>

If you are going to change the handling functions at runtime, or if you need to attach several functions to a single event, use the on(eventName, eventHandler) method. This approach is more typical of jQuery.

JavaScript
  • const keyDownHandler1 = function (e) {
  • const keyCode = e.event.key;
  • // First handler of the "keyDown" event
  • };
  •  
  • const keyDownHandler2 = function (e) {
  • const keyCode = e.event.key;
  • // Second handler of the "keyDown" event
  • };
  •  
  • $("#textBoxContainer").dxTextBox("instance")
  • .on("keyDown", keyDownHandler1)
  • .on("keyDown", keyDownHandler2);

You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.

  • <template>
  • <DxTextBox :ref="myTextBoxRef" />
  • </template>
  • <script>
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import DxTextBox from 'devextreme-vue/text-box';
  •  
  • const myTextBoxRef = 'my-text-box';
  •  
  • export default {
  • components: {
  • DxTextBox
  • },
  • data() {
  • return {
  • myTextBoxRef
  • }
  • },
  • computed: {
  • textBox: function() {
  • return this.$refs[myTextBoxRef].instance;
  • }
  • },
  • mounted: function() {
  • this.textBox.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.textBox.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  • </script>
See Also